Create Flows Template

Create a template that opens a WhatsApp Flow. This allows for rich, interactive experiences within the chat.

Example Request Body

{
  "name": "example_template_name",
  "language": "en_US",
  "category": "MARKETING",
  "components": [
    {
      "type": "body",
      "text": "This is a flows as template demo"
    },
    {
      "type": "BUTTONS",
      "buttons": [
        {
          "type": "FLOW",
          "text": "Open flow!",
          "flow_id": "<flow-id>",
          "navigate_screen": "Flows Json screen name",
          "flow_action": "navigate"
        }
      ]
    }
  ]
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Defaults to v24.0
string
required
Body Params
string
string
string
enum
Allowed:
components
array of objects
components
Headers
string
required

Provide your Access Token. Format: YOUR_API_KEY

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json